<?php
/**
 * Custom header implementation
 */

function party_villa_custom_header_setup() {
	add_theme_support( 'custom-header', apply_filters( 'party_villa_custom_header_args', array(
		'default-text-color' => 'fff',
		'header-text' 	     =>	false,
		'width'              => 1200,
		'height'             => 85,
		'flex-width'         => true,
		'flex-height'        => true,
		'wp-head-callback'   => 'party_villa_header_style',
	) ) );
}

add_action( 'after_setup_theme', 'party_villa_custom_header_setup' );

if ( ! function_exists( 'party_villa_header_style' ) ) :
/**
 * Styles the header image and text displayed on the blog
 *
 * @see party_villa_custom_header_setup().
 */
add_action( 'wp_enqueue_scripts', 'party_villa_header_style' );
function party_villa_header_style() {
	//Check if user has defined any header image.
	if ( get_header_image() ) :
	$custom_css = "
        #header, .page-template-custom-home-page #header {
			background-image:url('".esc_url(get_header_image())."');
			background-size: 100% 100%;
		}";
	   	wp_add_inline_style( 'party-villa-basic-style', $custom_css );
	endif;
}
endif; // party_villa_header_style